{ pkgs, config, lib, ... }:

with lib;
let
  cfg = config.modules.hardware.bluetooth;
in {
  options.modules.hardware.bluetooth = {
    enable = mkEnableOption "Enable bluetooth, a short-range communication technology";
  };

  config = mkIf cfg.enable {
    hardware.bluetooth.enable = true;
    hardware.bluetooth.powerOnBoot = true;
    hardware.bluetooth.settings = {
      General = {
        Experimental = true;
      };
    };

    # frontend
    services.blueman.enable = true;
  };
}
